#!/usr/bin/env node

import parseArguments from 'argument-parser';
import { getManifest, IManifest, Product, verifyProductName } from 'ssn';

const { args, fail } = parseArguments({
  product: { short: 'p', description: 'Name of the product we want to get the manifest on', verify: verifyProductName, message: (value) => `"${value}" is not a valid product name.` },
}, (origArgs) => ((origArgs.length === 1) ? ['--product', origArgs[0]] : undefined));

//Get manifest and write output to stdout
getManifest(args.product as Product).then((output: IManifest) => {
  process.stdout.write(JSON.stringify(output));
}).catch((error) => {
  fail(error);
});
